import axios from '@/utils/request'

export function getStatOrderList(params) {
  return axios({
    url: "/udiwms/inout/stat/filter",
    method: "get",
    params: params
  });
}

export function filterDayList(params) {
  return axios({
    url: "/udiwms/inout/stat/detail/day/filter",
    method: "get",
    params: params
  });
}

export function filterMonthList(params) {
  return axios({
    url: "/udiwms/inout/detail/month/filter",
    method: "get",
    params: params
  });
}

export function filterQuarterList(params) {
  return axios({
    url: "/udiwms/inout/detail/quarter/filter",
    method: "get",
    params: params
  });
}

export function filterYearList(params) {
  return axios({
    url: "/udiwms/inout/detail/year/filter",
    method: "get",
    params: params
  });
}

export function excelImport(params) {
  return axios({
    url: "/udiwms/inv/excelExportOut",
    method: "get",
    responseType: 'blob',
    params: params
  });
}


export function createCustom(query) {
  return axios({
    url: "/udiwms/inout/detail/custom/create",
    method: "post",
    data: query
  });
}

export function filterCusDetailList(params) {
  return axios({
    url: "/udiwms/inout/detail/custom/filter",
    method: "get",
    params: params
  });
}


